Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface ICellEditor

public interface ICellEditor

Interface fuer CellEditorEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer CellEditorEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addCellEditorListener(CellEditorListener listener)` Fuegt dem Control den uebergebenen Listener als CellEditorListener hinzu.
`String` | `getActionClassForCellEditor()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein CellEditorEvent ausgeloest wurde.
`void` | `removeCellEditorListener(CellEditorListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForCellEditor(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein CellEditorEvent ausgeloest wurde.

Method Detail

### getActionClassForCellEditor

    public String getActionClassForCellEditor()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein CellEditorEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer CellEditorEvent.

### setActionClassForCellEditor

    public void setActionClassForCellEditor(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein CellEditorEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer CellEditorEvent.

### addCellEditorListener

    public void addCellEditorListener(CellEditorListener listener)

  Fuegt dem Control den uebergebenen Listener als CellEditorListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende CellEditorListener.

### removeCellEditorListener

    public void removeCellEditorListener(CellEditorListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD